# 通用技能参数

以下参数是所有技能都存在的，如果你没有单独设置它们，将会使用默认值。

## **chance​**

触发该技能的几率。

默认值为 100。

```
args:
  chance: 50
```

## **cooldown**[**​**](https://plugins.auxilor.io/effects/configuring-an-effect#cooldown)

技能触发的冷却时间，以秒为单位。

默认值为 0。

```
args:
  cooldown: 10
  send_cooldown_message: true 
```

其中：

* args.send\_coooldown\_message：是否发送冷却时间提示。

## **cost**[**​**](https://plugins.auxilor.io/effects/configuring-an-effect#cost)

技能触发花费的金币数量。需要 Vault。

默认值为 0。

```
args:
  cost: 200
```

## **every**[**​**](https://plugins.auxilor.io/effects/configuring-an-effect#every)

触发器被触发每多少次后触发。

默认值为 1。

```
args:
  every: 3
```

## **mana\_cost**[**​**](https://plugins.auxilor.io/effects/configuring-an-effect#mana_cost)

触发该技能花费的法力值。**需要 AureliumSkills，使用 EcoX 系列插件实现法力值的实战将在后文提及。**&#x20;

默认值为 0。

```
args:
  mana_cost: 10
```

## **delay**[**​**](https://plugins.auxilor.io/effects/configuring-an-effect#delay)

触发器触发后多长时长后发动技能。

默认值为 0。

```
args:
  delay: 20
```

## **filters\_before\_mutation**[**​**](https://plugins.auxilor.io/effects/configuring-an-effect#filters_before_mutation)

在默认情况下，转换器会在筛选前读取，如果你想相反顺序读取以实现某种技能效果，可以在这里设置为 `true`。

```
args:
  filters_before_mutation: true
```

## **disable\_antigrief\_check**[**​**](https://plugins.auxilor.io/effects/configuring-an-effect#disable_antigrief_check)

在默认情况下，玩家发动技能将会检测玩家是否有对应地图保护插件的破坏、放置等权限。例如，一把范围破坏的镐子，很多插件在玩家尝试在别人领地边缘破坏方块以熊领地内的方块，但 EcoX 系列插件会解决所有这种问题，玩家不会通过技能无缘无故卡服务器保护方面的 bug。如果你不需要这个机制，可以在这里设置为 `true`。

```
args:  
  disable_antigrief_check: true
```

## **point\_cost**[**​**](https://plugins.auxilor.io/effects/configuring-an-effect#point_cost)

发动技能消耗的积分。

```
args:
  point_cost:
    cost: 100 * %player_y%
    type: g_souls
```

其中：

* args.point\_cost.cost：花费的积分数量。

{% hint style="info" %}
想一想，这里的 100 \* %player\_y% 是什么意思。如果你不知道，可以参考前文的 **数值语法学习** 一节。
{% endhint %}

* args.point\_cost.type：花费的积分id。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/tong-yong-ji-neng-can-shu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
